/* $Workfile: OsaLinuxSpi.h $   $Revision: 6 $    $Modtime: 9/09/08 4:56p $  */
/*******************************************************************************

  Odin TeleSystems Inc.

  OTX Telecom Adapter Driver

  @doc internal

  @module

  @normal Copyright (C) Odin TeleSystems Inc., 2007-2008, All Rights Reserved

*******************************************************************************/

#ifndef OSA_LINUX_SPI_H
#define OSA_LINUX_SPI_H


#include "../OsaRtl.h"  // For wchar_t with C compile


#ifdef __cplusplus
extern "C" {
#else
#endif

extern OsaBool32 OsaLinuxSpiIsOpen(void);

extern int OsaLinuxSpiOpen(void);
extern int OsaLinuxSpiClose(void);

extern int OsaLinuxSpiRead8(OsaUint16 nAddress, OsaUint8 *nData);
extern int OsaLinuxSpiWrite8(OsaUint16 nAddress, OsaUint8 nData);

extern OsaUint8 OsaLinuxSpiInterlockedModifyRegBits8(OsaUint32 pRegister, OsaUint8 nBitsToModify, OsaUint8 nValueOfBits);


#ifdef __cplusplus
}
#endif

#endif  // OSA_LINUX_SPI_H

